name: Deploy Brookhaven

on:
  push:
    branches:
      - main

jobs:
  deploy:
    runs-on: self-hosted
    steps:
      - name: Checkout Code
        uses: actions/checkout@v3

      - name: Deploy to server
        run: |
          cd /var/www/brookhaven.bennyshouse.net
          git pull
          sudo systemctl restart brookhaven.service
